@import "./variables.less";

/* ----------------------------------------- */
/*  Basic Structure                          */
/* ----------------------------------------- */
.sw5e.sheet.actor.character {
  min-width: 672px;
  min-height: 736px;

  /* ----------------------------------------- */
  /*  Sheet Header                             */
  /* ----------------------------------------- */

  .sheet-header {

    // Character Profile image (larger than usual)
    img.profile {
      flex: 0 0 180px;
      max-width: 180px;
      height: 180px;
    }

    // Character level and experience bar
    .charlevel {
      flex: 0 0 180px;
      padding: 0 5px 2px;

      .level {
        height: 28px;
      }

      .experience {
        input[type="text"] {
          width: 100px;
        }
      }

      .xpbar {
        width: 100%;
        flex: 0 0 8px;
        background: #666;
        border: 1px solid #000;
        border-radius: 3px;

        .bar {
          height: 4px;
          margin: 1px;
          display: block;
          background: #afebff;
          border: 1px solid #000;
          border-radius: 2px;
        }
      }
    }

    // Character Summary
    .summary {
      border-bottom: @borderGroove;
    }

    // Primary Attributes
    .attributes {
      height: 80px;
      margin: 0;

      .attribute {
        height: 80px;
        margin: 0;
        border: none;
        border-right: @borderGroove;
        border-radius: 0;

        &:last-child {
          border-right: none;
        }

        .attribute-value {
          margin: 5px 0 0;
          height: 32px;
          line-height: 32px;
        }

        .attribute-name {
          margin-top: 6px;
        }

        .attribute-footer {
          margin-bottom: 2px;
        }
      }

      a.rest {
        border: 1px solid @colorBeige;
        border-radius: 2px;
        background: rgba(0, 0, 0, 0.05);
        padding: 1px 3px;
        margin: 0 6px;
      }

      .hit-dice {
        font-size: 24px;
      }
    }
  }

  /* ----------------------------------------- */
  /*  Sheet Body                               */
  /* ----------------------------------------- */

  .attributes {
    .resource {
      .attribute-name {
        margin: 0 8px;
        input[type="text"] {
          height: 20px;
          margin: 2px 0 -2px;
          line-height: 24px;
        }
      }
      label.checkbox {
        margin: 0 3px;
        input[type="checkbox"] {
          height: 16px;
          width: 16px;
          margin: 0;
          top: 3px;
        }
      }
    }

    .initiative .attribute-footer input {
      width: 32px;
    }
  }

  ul.skills-list {
    flex: 0 0 212px;

    li.skill {
      padding: 3px;
      h4 {
        flex: 1px;
        margin: 0;
        font-size: 13px;
      }
    }
  }

  .counters {
    .death-saves {
      flex: 2;
      .counter-value {
        flex: 0 0 90px;
      }
    }
  }

  .item-detail.player-class {
    flex: 0 0 180px;
    text-align: right;
    padding-right: 10px;
  }

  /* ----------------------------------------- */
  /*  Inventory                                */
  /* ----------------------------------------- */

  /* Encumbrance Bar */
  .encumbrance {
    flex: 0 0 12px;
    background: @colorTan;
    margin: 1px 15px 0 1px;
    border: 1px solid @colorDark;
    border-radius: 3px;
    position: relative;

    .encumbrance-bar {
      position: absolute;
      top: 1px;
      left: 1px;
      background: #6c8aa5;
      height: 8px;
      border: 1px solid #cde4ff;
      border-radius: 2px;
    }

    .encumbrance-label {
      height: 10px;
      padding: 0 5px;
      position: absolute;
      top: 0;
      right: 0;
      font-size: 13px;
      line-height: 12px;
      text-align: right;
      color: #EEE;
      text-shadow: 0 0 5px #000;
    }

    .encumbrance-breakpoint {
      display: block;
      position: absolute;
      &.encumbrance-33 { left: 33% }
      &.encumbrance-66 { left: 66% }
    }

    .arrow-up {
      bottom: 0;
      width: 0;
      height: 0;
      border-left: 4px solid transparent;
      border-right: 4px solid transparent;
      border-bottom: 4px solid #666;
    }

    .arrow-down {
      top: 0;
      width: 0;
      height: 0;
      border-left: 4px solid transparent;
      border-right: 4px solid transparent;
      border-top: 4px solid #666;
    }

    &.encumbered {
      .arrow-up { border-bottom: 4px solid #000; }
      .arrow-down { border-top: 4px solid #000; }
    }
  }

  /* ----------------------------------------- */
  /*  Item Controls                            */
  /* ----------------------------------------- */

  .inventory,
  .spellbook {
    .item-controls {
      flex: 0 0 68px;
      .item-toggle {
        color: @colorBeige;
        &.active {
          color: @colorOlive;
        }
        &.fixed {
          color: @colorCrimson;
          &:hover {
            text-shadow: none;
          }
        }
      }
    }
  }
}